%define momorel 2
Summary: Utility for managing filesystem extended attributes.
Name: attr
Version: 2.4.19
Release: %{momorel}m
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch: attr-2.0.1-alpha.patch
Patch1: attr-2.1.1-shlibexe.patch
Patch2: attr-2.2.0-multilib.patch
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPL
NoSource: 0
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base
BuildPrereq: libtool

%description
A utility for manipulating extended attributes on filesystem
objects, compatible with the SGI IRIX tool of the same name.

%package devel
Summary: Extended attribute static libraries and headers.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
attr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.  This
interface is compatible with the SGI IRIX extended attribute
interface, and makes use of an unofficial Linux system call.

Currently only XFS is supported, and the (experimental, unofficial)
system call interface is likely to change in the future.  However,
the API built above this system call is unlikely to change and is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install attr-devel if you want to develop programs
which make use of extended attributes.  If you install attr-devel,
you'll also want to install attr.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
%patch -p1
%patch1 -p0
%patch2 -p1
perl -p -i -e 's,--mode=(link|compile),--mode=\1 --tag=CC,' include/buildmacros

%build
touch .census
%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}

DIST_ROOT="%{buildroot}"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

# remove unwanting files and dirs.
rm -rf %{buildroot}%{_docdir}/attr

# dassa...
rm -f %{buildroot}%{_libdir}/libattr.so
(cd %{buildroot}%{_libdir} ; ln -sf ../../%{_lib}/libattr.so libattr.so)

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc doc/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_bindir}/*
/%{_lib}/*.so*
%{_datadir}/locale/*/*/attr.mo

%files devel
%defattr(-, root, root)
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_includedir}/attr
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (2.4.19-2m)
- enable x86_64.
- libexec isn't appropriate.

* Wed Oct 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.4.19-1m)
  update to 2.4.19

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.16-1m)
- upgrade

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.4.12-2m)
- revised spec for enabling rpm 4.2.

* Tue Nov 25 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.12-1m)
- update to 2.4.12

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.11-1m)
- update to 2.4.11

* Wed Oct  1 2003 zunda <zunda at freeshell.org>
- (2.2.0-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.0-2m)
- remove conflicts

* Thu Feb 13 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.0-1m)
  update to 2.2.0

* Tue Nov 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.1.1-1m)
- update to 2.1.1 ([Momonga-devel.ja:00833] thanks, nosanosa)
- add BuildPrereq: libtool
- add missing man pages
- add execute permissions to shlibs
- delete NoSource

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.9-1m)
  update to 2.0.9

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.8-1m)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.7-6k)
- omit /sbin/ldconfig in PreReq.

* Sun Apr 28 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.7-4k)
- add %{_mandir}/man5/* to %files

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.7-2k)
- update to 2.0.7

* Fri Apr 12 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.5-2k)
- update to 2.0.5

* Sun Mar 17 2002 Toru Hoshina <t@Kondara.org>
- (2.0.1-4k)
- include 'errno.h' !!!

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.1-2k)
- update to 2.0.1

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.3-4k)
- modify source URL

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.3-2k)
- First Kondarization
